net.fortuna.ical4j.model

## Class WeekDay

- java.lang.Object
- - net.fortuna.ical4j.model.WeekDay

All Implemented Interfaces:
  Serializable

    public class WeekDay
    extends Object
    implements Serializable

$Id$ Created: 19/12/2004 Defines a day of the week with a possible offset related to a MONTHLY or YEARLY occurrence.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

Fields
`static WeekDay` `FR` Friday.
`static WeekDay` `MO` Monday.
`static WeekDay` `SA` Saturday.
`static WeekDay` `SU` Sunday.
`static WeekDay` `TH` Thursday.
`static WeekDay` `TU` Tuesday.
`static WeekDay` `WE` Wednesday.

### Constructor Summary

Constructors
Constructor and Description
`WeekDay(String value)`
`WeekDay(WeekDay weekDay, int offset)` Constructs a new weekday instance based on the specified instance and offset.

### Method Summary

Methods
`boolean` `equals(Object arg0)`
`static int` `getCalendarDay(WeekDay weekday)` Returns the corresponding `java.util.Calendar.DAY_OF_WEEK` constant for the specified `WeekDay`.
`String` `getDay()`
`static WeekDay` `getDay(int calDay)` Returns the corresponding day constant to the specified java.util.Calendar.DAY_OF_WEEK property.
`static WeekDay` `getMonthlyOffset(Calendar cal)` Returns a weekday/offset representation of the specified calendar.
`static WeekDay` `getNegativeMonthlyOffset(Calendar cal)` Returns a weekday/negative offset representation of the specified calendar.
`int` `getOffset()`
`static WeekDay` `getWeekDay(Calendar cal)` Returns a weekday representation of the specified calendar.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SU

    public static final WeekDay SU

Sunday.

#### MO

    public static final WeekDay MO

Monday.

#### TU

    public static final WeekDay TU

Tuesday.

#### WE

    public static final WeekDay WE

Wednesday.

#### TH

    public static final WeekDay TH

Thursday.

#### FR

    public static final WeekDay FR

Friday.

#### SA

    public static final WeekDay SA

Saturday.

### Constructor Detail

#### WeekDay

    public WeekDay(String value)

Parameters:
  `value` - a string representation of a week day

#### WeekDay

    public WeekDay(WeekDay weekDay,
           int offset)

Constructs a new weekday instance based on the specified instance and offset.

Parameters:
  `weekDay` - a week day template for the instance
  `offset` - a month offset value

### Method Detail

#### getDay

    public final String getDay()

Returns:
  Returns the day.

#### getOffset

    public final int getOffset()

Returns:
  Returns the offset.

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`

#### getWeekDay

    public static final WeekDay getWeekDay(Calendar cal)

Returns a weekday representation of the specified calendar.

Parameters:
  `cal` - a calendar (java.util)
Returns:
  a weekday instance representing the specified calendar

#### getMonthlyOffset

    public static final WeekDay getMonthlyOffset(Calendar cal)

Returns a weekday/offset representation of the specified calendar.

Parameters:
  `cal` - a calendar (java.util)
Returns:
  a weekday instance representing the specified calendar

#### getNegativeMonthlyOffset

    public static final WeekDay getNegativeMonthlyOffset(Calendar cal)

Returns a weekday/negative offset representation of the specified calendar.

Parameters:
  `cal` - a calendar (java.util)
Returns:
  a weekday instance representing the specified calendar

#### getDay

    public static WeekDay getDay(int calDay)

Returns the corresponding day constant to the specified java.util.Calendar.DAY_OF_WEEK property.

Parameters:
  `calDay` - a property value of java.util.Calendar.DAY_OF_WEEK
Returns:
  a string, or null if an invalid DAY_OF_WEEK property is specified

#### getCalendarDay

    public static int getCalendarDay(WeekDay weekday)

Returns the corresponding `java.util.Calendar.DAY_OF_WEEK` constant for the specified `WeekDay`.

Parameters:
  `weekday` - a week day instance
Returns:
  the corresponding `java.util.Calendar` day

#### equals

    public final boolean equals(Object arg0)

Overrides:
  `equals` in class `Object`

#### hashCode

    public final int hashCode()

Overrides:
  `hashCode` in class `Object`